Page MenuHomePhabricator

elementary: prevent asynchronous properties change to believe target is ready when it is not in fileselector.
ClosedPublic

Authored by cedric on Mar 22 2019, 11:28 AM.

Details

Summary

In some case, the properties changed event would be triggered first on the object model
instead of the target model. This now enforce that the target will be the first model
to handle and react on the information.

Depends on D8448

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 22 2019, 11:28 AM
bu5hm4n accepted this revision.Mar 25 2019, 3:25 AM
This revision is now accepted and ready to land.Mar 25 2019, 3:25 AM
cedric updated this revision to Diff 21009.Mar 27 2019, 2:44 PM
cedric edited the summary of this revision. (Show Details)

Rebase.

This revision was automatically updated to reflect the committed changes.